Subject: Re: bug#49243: 27.2; [PATCH] Merge auth-source-pass changes from upstream

From: Robert Pluim <[email-masked]>
Date: Wed, 30 Jun 2021 19:56:23 +0200

>>>>> On Wed, 30 Jun 2021 18:09:32 +0200, Damien Cassou <[email-masked]> said:

    Damien> Lars Ingebrigtsen <[email-masked]> writes:
    >> Thanks; looks good to me.  You can still push directly to Emacs, I
    >> think?  Or do you want me to apply the patches?

    Damien> I would feel safer if you do it for me :-).

    >> Hmm, if auth-source-search supports multiple hosts, it would be good
    >> if that were documented in the info manual.

    Damien> not sure because supporting only one host was a bug: auth-source-pass
    Damien> wasn't implementing the auth-source protocol correctly.

That last bit was me, not Lars. I was trying to nudge you to go look
at the 'developers' section of the auth-source info manual and bring
its documentation in line with the implementation, since it currently
doesnʼt say anything about multiple hosts.

Robert
--